import { CollectedShare, SharedPlanMergeProcess, SharedPlanMergeProcessProps } from '../../../../src/shared-configuration/modules/shared-protection-plan/domain/models/shared-plan-merge-process';
export declare class CollectedShareGenerator {
    static random({ id, storageLayerId, data, }?: Partial<CollectedShare>): CollectedShare;
    static randomList(count?: number): CollectedShare[];
}
export declare class SharedPlanMergeProcessGenerator {
    static random({ id, planId, step, requiredShares, approvalProcess, storageLayers, collectedShares, collectedStorageLayerIds, createdAt, }?: Partial<SharedPlanMergeProcessProps>): SharedPlanMergeProcess;
    static pending({ planId, requiredShares, storageLayers, }?: {
        planId?: string;
        requiredShares?: number;
        storageLayers?: string[];
    }): SharedPlanMergeProcess;
    static pendingApprovals({ planId, requiredShares, requiredApprovals, }?: {
        planId?: string;
        requiredShares?: number;
        requiredApprovals?: number;
    }): SharedPlanMergeProcess;
    static collectingShares({ planId, requiredShares, collectedCount, }?: {
        planId?: string;
        requiredShares?: number;
        collectedCount?: number;
    }): SharedPlanMergeProcess;
    static revealing({ planId, requiredShares, }?: {
        planId?: string;
        requiredShares?: number;
    }): SharedPlanMergeProcess;
    static revealed({ planId }?: {
        planId?: string;
    }): SharedPlanMergeProcess;
    static failed({ planId }?: {
        planId?: string;
    }): SharedPlanMergeProcess;
}
